package com.cyl.manager.staff.mapper;

import java.util.List;

import com.cyl.manager.staff.domain.StaffImage;

/**
 * 人员信息Mapper接口
 * 
 * @author ruoyi
 * @date 2023-12-26
 */
public interface StaffImageMapper 
{
    /**
     * 查询人员信息
     * 
     * @param id 人员信息主键
     * @return 人员信息
     */
    public StaffImage selectStaffImageById(Long id);

    /**
     * 查询人员信息列表
     * 
     * @param staffImage 人员信息
     * @return 人员信息集合
     */
    public List<StaffImage> selectStaffImageList(StaffImage staffImage);

    /**
     * 新增人员信息
     * 
     * @param staffImage 人员信息
     * @return 结果
     */
    public int insertStaffImage(StaffImage staffImage);

    /**
     * 修改人员信息
     * 
     * @param staffImage 人员信息
     * @return 结果
     */
    public int updateStaffImage(StaffImage staffImage);

    /**
     * 删除人员信息
     * 
     * @param id 人员信息主键
     * @return 结果
     */
    public int deleteStaffImageById(Long id);

    /**
     * 批量删除人员信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteStaffImageByIds(Long[] ids);
}
